SCSI_EH_GET_SENSE(9)

NAME
scsi_eh_get_sense - Get device sense data.

SYNOPSIS

int scsi_eh_get_sense(struct list_head * work_q, struct list_head * done_q);

ARGUMENTS

work_q
    Queue of commands to process.

done_q
    Queue of processed commands.

DESCRIPTION

See if we need to request sense information. if so, then get it now, so we have a better idea of what to do.

NOTES

This has the unfortunate side effect that if a shost adapter does not automatically request sense information, we end up shutting it down before we request it.

All drivers should request sense information internally these days, so for now all I have to say is tough noogies if you end up in here.

XXX

Long term this code should go away, but that needs an audit of all LLDDs first.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT